Subject: Investment Technology Group Limited
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 29 Nov 2000 06:48:00 -0800 (PST)

Laurel:

Jason is ready to send comments on this agreement requested by John Greene.  
Can you please provide Jason with the name, address, fax number of the party 
with whom we should be communicating in order to negotiate this agreement.  
If you need to speak with Jason, you can call him at (713) 220-4124.

Thanks.  Sara